<mamecheat version="1">

  <cheat desc="Infinite Main Time">
    <script state="run">
      <action>maincpu.pw@080D2=9999</action>
    </script>
  </cheat>

  <cheat desc="Player Has Infinite Maximum Health"> <comment>You're always maxed out on health</comment>
    <script state="run">
      <action>cart.pb@00391=60</action>
    </script>
  </cheat>

  <cheat desc="CPU Never Has Any Health"> <comment>1-Hit Knockdowns on CPU</comment>
    <script state="run">
      <action>cart.pb@00398=00</action>
    </script>
  </cheat>

  <cheat desc="Player Has Infinite Maximum Stars"> <comment>These seem to be an accumulation of critical hits that help get more hits</comment>
    <script state="run">
      <action>cart.pb@00342=03</action>
    </script>
  </cheat>

  <cheat desc="Player Has Infinite 20 Hearts"> <comment>These are what allow you to keep punching</comment>
    <script state="run">
      <action>cart.pb@00323=02</action>
      <action>cart.pb@00324=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Life">
    <script state="on">
      <action>temp0 =cart.mb@1E503</action>
    </script>
    <script state="run">
      <action>cart.mb@1E503=60</action>
    </script>
    <script state="off">
      <action>cart.mb@1E503=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =cart.mb@1E2B5</action>
    </script>
    <script state="run">
      <action>cart.mb@1E2B5=75</action> <!-- This ROM cheat was made by nolberto82 -->
    </script>
    <script state="off">
      <action>cart.mb@1E2B5=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
